Subject: announcement of a Macintosh text to speach program (update)

From: Liedong Zheng <[email-masked]>
Date: Tue, 23 Nov 1993 16:17:56 -0500

Mandarin  v 1.1 Liedong Zheng, Nov. 1993
[email-masked]

Version 1.1 has a minor change of the naming scheme of "snd "
resources, it should be transparent to end users. Thanks to Ed Lai
([email-masked]) for numerous help!  The new internal naming
scheme uses ShuangPin instead of PinYin, and enables Mandarin to
use other sound libraries available in public domain. To use these
sound libraries, you will have to rename the public domain sound
data file to "sound.lib" and put it in the Mandarin folder.  One
alternative sound data file is the stack from Ed Lai's Cihui
package (available from ftp.apple.com:pub/lai/cihui/dict/
chinese.sound.sit.hqx)

The sound.lib is compressed by 3:1, and is about 4.3MB now rather
than 12MB in the first release.  The sound.lib included in the
package is still a "demo" version, it ONLY has those "snd "
resources to speak the sample files, if you want to speak other
chinese files, you will need the complete sound.lib file, which
is now *ONLY*available for anonymous ftp on two Internet sites:
cnd.org:software/mac/sound, and ifcss.org:software/mac/sound
This complete sound.lib file can also be opened by Hypercard, and
is itself a standalone Chinese Pronunciation Tool, please see
more info in the stack.

I would like to thank those who sent me suggestions and
comments on the network, especially Canhao Li for his
encouragement, and special thanks go to a netter who revised
the readme file for the first release, I apologize for losing
his name.

Mandarin version 1.1 still remains a freeware, please send bug
reports, suggestions etc. to me.

Liedong Zheng
[email-masked]
November, 1993, New York City
=========================================================
**************readme file for version 1.0**************

        ||| FREEWARE |||||

Mandarin v 1.0 should run on any Mac running
with either System 6.x.x or 7.x.

Ever get tired of simply staring at a Chinese text on your screen, or
on your printout? Here is an alternative :-)

RMandarinS is a small Macintosh FREEWARE program I wrote in the past
few weeks. It *reads in* a Chinese text (GB- or BIG5-coded), and *speaks
 Mandarin aloud* through the Macintosh's speakers.   :-)

You can enjoy listening to Mandarin Chinese as you might a radio, and
better yet, RMandarinS can run in the background, while you are working
on your term paper, viewing an image, or whatever you feel like.   :-) It
is also helpful for those who may wish to learn how to speak Mandarin
Chinese: just run RMandarinS in background, and use any Chinese viewer
in the front to display the characters.  (*please note, you will need to
make a duplicate copy of your Chinese file for viewing*) This program
is also a good tool for proofreading.  No special hardware is needed on
your mac, just double-click and have fun.

The program uploaded to sumex-aim.stanford.edu  is a "demo" version, it
only contains sound resources to speak the sample files included.

NO Chinese Operating System (OS) is required to run RMandarinS but it
WILL need about 500K of RAM to run--and RMandarinS should run on any
Mac running under either System 6.x.x or System 7.x, though I haven't
had a chance to test it on *all* models.

Your ROptionsS?  1) you only need to select either the so-called GB
dictionary, or else the BIG5 dictionary before RMandarinS can read
anything. And, 2), if you wish to switch to the other dictionary, you
will need to restart the RMandarinS program. Finally, 3) if you wish
to Pause, choose "About Mandarin" from Apple menu, and then when
you are ready to resume, click OK. ThatUs it!

The dictionaries are public domain dictionaries, and have been heavily
 edited/corrected to fit this program. I concentrated most of my energy
on the GB dictionary, though I did correct a few errors in the BIG5
dictionary--nothing exhaustive. If you find any more errors in BIG5,
please let me know, and I will try to remedy them later.

Limitations  ===========

* This program bypasses special characters and
    non-printable characters in the text.
* The program has not been designed to pronounce
    English words, but it will spell out any such
    word it encounters.
* The program has not been designed to function
    as a voice-synthesizer.
* Please bear in mind that the RMandarinS you will
    hear has been RexpressedS from a machine, so
    please don't expect native-speaker sound qualityQQ
    in fact, your first listening session may involve
    some slightly humorous RlearningS and a dose of
    patience on your part.
* Mandarin Chinese is a tone language; this program
    does NOT attempt to differentiate polyphonies, and
    instead picks a single tone for a polyphony.
* The sound-library named "sound.lib" is far from
    perfect; I intend to improve the sound quality as
    I find the time.

 Acknowledgements ================

I should like to thank Jim Reekes for his DTS archive. I should also like
to thank the editorial staff of Hua Xia Wen Zhai for their continuing and
enthusiastic support of community service; the publication of this
magazine has substantially promoted Chinese computing in many aspects,
at least having introduced me to the world of Chinese computing.

 Legal stuff ===========

All rights reserved. This program can be freely distributed provided the
whole package is not altered or modified in any way. The file named
Rsound.libS may not be used without permission from the author.

Please pass along to me your suggestions and any bug reports.

 *****  Sit back and enjoy!  *****

           Liedong Zheng, June, 1993

           [email-masked]